Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1173)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1174)
@@ -227,7 +227,7 @@
 				public void widgetDefaultSelected(SelectionEvent e) { }
 			});
 			// System.out.println(parent.getLayout());
-			Composite mainPanel = this.getExtendedParametersComposite();
+			Composite mainPanel = this.getExtendedParametersGroup();
 			GridData gridData = new GridData(GridData.FILL, GridData.CENTER, true, true);
 			mainPanel.setLayoutData(gridData);
 			GridLayout glayout = new GridLayout(2, false);
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1173)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 1174)
@@ -324,7 +324,7 @@
 	@Override
 	public void _createPartControl() {
 
-		Composite controlArea = getExtendedParametersComposite();
+		Composite controlArea = getExtendedParametersGroup();
 
 		try {
 			composeControlArea(controlArea);
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 1173)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 1174)
@@ -247,7 +247,7 @@
 			
 			
 			// advanced parameters
-			ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersComposite(), SWT.NONE, this, true, false);
+			ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), SWT.NONE, this, true, false);
 			this.fMinSpinner = thresholdsGroup.getFMinSpinner();
 			this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
 			this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 1173)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 1174)
@@ -99,25 +99,31 @@
 				
 				// FIXME: old version using dialog box for parameters
 				// ask property and Fmins and Vmax
-				String title = TXMUIMessages.bind(CAUIMessages.ComputeCorrespondanceAnalysisDialog_0, partition.getName());
-				CAParametersDialog d = new CAParametersDialog(window.getShell(), partition.getParent(), title);
+//				String title = TXMUIMessages.bind(CAUIMessages.ComputeCorrespondanceAnalysisDialog_0, partition.getName());
+//				CAParametersDialog d = new CAParametersDialog(window.getShell(), partition.getParent(), title);
+//
+//				if (d.open() == MessageDialog.OK) {
+//					WordProperty property = d.getProperty();
+//					int fMin = d.getFmin();
+//					int vMax = d.getMaxLines();
+//
+//					Log.info(NLS.bind(CAUIMessages.ComputeCorrespondanceAnalysis_0, partition, property));
+//
+//					LexicalTable lexicalTable = new LexicalTable(partition);
+//					lexicalTable.setParameters(property, fMin, vMax, null);
+//					ca = new CA(lexicalTable);
+//				} else { // aborted
+//					return null;
+//				}
 
-				if (d.open() == MessageDialog.OK) {
-					WordProperty property = d.getProperty();
-					int fMin = d.getFmin();
-					int vMax = d.getMaxLines();
+				// FIXME: SJ: temporary version before we fix the problems listed below
+				LexicalTable lexicalTable = new LexicalTable(partition);
+				lexicalTable.setParameters((WordProperty) partition.getCorpus().getDefaultProperty(), 20, 200, null);
+				ca = new CA(lexicalTable);
 
-					Log.info(NLS.bind(CAUIMessages.ComputeCorrespondanceAnalysis_0, partition, property));
-
-					LexicalTable lexicalTable = new LexicalTable(partition);
-					lexicalTable.setParameters(property, fMin, vMax, null);
-					ca = new CA(lexicalTable);
-				} else { // aborted
-					return null;
-				}
 				
 				// FIXME: SJ: new version, creating a, empty LT and an empty CA
-				// does not work at this time because of some problem in CAEditor (refreshing and component creation + eigenvalues computing)
+				// does not work at this time because of some problems in CAEditor (refreshing and components creation + eigenvalues computing)
 //				ca = new CA(new LexicalTable(partition));
 			}
 			// Creating from Lexical Table
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 1173)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 1174)
@@ -179,7 +179,7 @@
 					this.getResult().getProperty(), false);
 
 			// Extended parameters
-			Composite extendedParametersArea = this.getExtendedParametersComposite();
+			Composite extendedParametersArea = this.getExtendedParametersGroup();
 			
 			// FIXME: Apply button
 //			Button keepTop = new Button(extendedParametersArea, SWT.PUSH);
Index: tmp/org.txm.setups/shared/win/txm.nsi
===================================================================
--- tmp/org.txm.setups/shared/win/txm.nsi	(revision 1173)
+++ tmp/org.txm.setups/shared/win/txm.nsi	(revision 1174)
@@ -6,10 +6,10 @@
 
 ;general
 
-Name "TXM 0.8.0"
+Name "TXM 0.8.0a2"
 
 ;!define Version ""
-!define Version "_0.8.0a"
+!define Version "_0.8.0a2"
 
 
 OutFile "TXM${Version}_Win64_installer.exe"
@@ -20,9 +20,9 @@
 
 ;compression
 
-SetCompressor /FINAL /SOLID lzma
+;SetCompressor /FINAL /SOLID lzma
 
-SetCompressorDictSize 64
+;SetCompressorDictSize 64
 
 
 ;interface configuration
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1173)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1174)
@@ -119,7 +119,7 @@
 	/**
 	 * The parameters groups are added to this composite. contains the sub widgets of the default Top toolbar
 	 */
-	private GLComposite extendedParametersGroupsComposite;
+	private GLComposite extendedParametersComposite;
 
 	/**
 	 * Command main parameters that are always visible in the toolbar. 
@@ -128,9 +128,9 @@
 
 
 	/**
-	 * Command extended parameters composite that can be hidden.
+	 * Command extended parameters group that can be hidden.
 	 */
-	protected Group extendedParametersComposite;
+	protected Group extendedParametersGroup;
 
 	/**
 	 * 
@@ -301,10 +301,10 @@
 			this.mainParametersComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
 			this.mainParametersComposite.getLayout().horizontalSpacing = 5;
 
-			this.extendedParametersGroupsComposite = new GLComposite(parent, SWT.NONE, "Extended parameters area"); //$NON-NLS-1$
-			this.extendedParametersGroupsComposite.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
+			this.extendedParametersComposite = new GLComposite(parent, SWT.NONE, "Extended parameters area"); //$NON-NLS-1$
+			this.extendedParametersComposite.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
 
-			this.topToolBar = new TXMEditorToolBar(this, this.firstLineComposite, this.extendedParametersGroupsComposite, SWT.FLAT | SWT.RIGHT, TOP_TOOLBAR_ID);
+			this.topToolBar = new TXMEditorToolBar(this, this.firstLineComposite, this.extendedParametersComposite, SWT.FLAT | SWT.RIGHT, TOP_TOOLBAR_ID);
 
 
 			// computing parameters components
@@ -314,7 +314,7 @@
 			//			if(!this.getResult().canCompute() && this.getResult().isDirty())	{
 			//				showExtendedParameters = true;
 			//			}
-			this.extendedParametersComposite = this.topToolBar.installGroup(COMPUTING_PARAMETERS_GROUP_ID, TXMUIMessages.TXMEditor_7, 
+			this.extendedParametersGroup = this.topToolBar.installGroup(COMPUTING_PARAMETERS_GROUP_ID, TXMUIMessages.TXMEditor_7, 
 					"icons/show_computing_parameters.png",  //$NON-NLS-1$
 					"icons/hide_computing_parameters.png",  //$NON-NLS-1$
 					showExtendedParameters);
@@ -358,7 +358,7 @@
 			}
 
 			// uninstall parameters group if not used
-			if (extendedParametersComposite.getChildren().length == 0) {
+			if (extendedParametersGroup.getChildren().length == 0) {
 				this.topToolBar.unInstallGroup(COMPUTING_PARAMETERS_GROUP_ID);
 			}
 
@@ -474,8 +474,8 @@
 	/**
 	 * @return the commandParametersComposite. Put here you main parameter widgets
 	 */
-	public Group getExtendedParametersComposite() {
-		return this.extendedParametersComposite;
+	public Group getExtendedParametersGroup() {
+		return this.extendedParametersGroup;
 	}
 
 	@Override
@@ -1184,7 +1184,7 @@
 	 * @return the composite that contains the <b>default Top</b> TXMEditorToolBar parameters panels
 	 */
 	public GLComposite getParametersGroupsComposite() {
-		return extendedParametersGroupsComposite;
+		return extendedParametersComposite;
 	}
 
 	/**
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 1173)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 1174)
@@ -244,7 +244,8 @@
 		RowLayout layout = new RowLayout();
 		layout.wrap = true;
 		layout.center = true;
-		layout.spacing = layout.marginWidth = layout.marginBottom = layout.marginHeight = layout.marginTop = 0;
+		layout.spacing = 8;
+		layout.marginWidth = layout.marginBottom = layout.marginHeight = layout.marginTop = 0;
 		group.setLayout(layout);
 
 		GridData gd2 = new GridData(GridData.FILL_BOTH);
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 1173)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 1174)
@@ -142,7 +142,7 @@
 		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this);
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
 		
-		Composite paramArea = getExtendedParametersComposite();
+		Composite paramArea = getExtendedParametersGroup();
 		paramArea.setLayout(new GridLayout(3, false));
 		
 		getMainParametersComposite().getLayout().numColumns = 3;
Index: tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/queryindex/QueryIndexEditor.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/queryindex/QueryIndexEditor.java	(revision 1173)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/queryindex/QueryIndexEditor.java	(revision 1174)
@@ -425,7 +425,7 @@
 //			}
 //		});
 
-		final Composite paramArea = getExtendedParametersComposite();
+		final Composite paramArea = getExtendedParametersGroup();
 
 		// info&navigation panel
 		// final Composite infosArea = new Composite(headComposite, SWT.NONE);
Index: tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java	(revision 1173)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java	(revision 1174)
@@ -425,7 +425,7 @@
 //			}
 //		});
 
-		final Composite paramArea = getExtendedParametersComposite();
+		final Composite paramArea = getExtendedParametersGroup();
 
 		// info&navigation panel
 		// final Composite infosArea = new Composite(headComposite, SWT.NONE);
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1173)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1174)
@@ -169,37 +169,41 @@
 
 	@Override
 	protected boolean _compute() throws Exception {
-		lines.clear();
-		counts.clear();
-		currentpartid = 0;
-		nTotalTokens = 0;
+
 		
-		if (parent instanceof MainCorpus && "[]".equals(pQuery.getQueryString()) && pProperties.size() == 1) {
-
-			computeWithCorpusAndNoQuery(); // internally using a lexicon
-		}
-		else {
-			this.lexicon = null;
-
-			if (parent instanceof CQPCorpus) {
-
-				CQPCorpus corpus = (CQPCorpus)parent;
-
-				if (!scanCorpus(corpus)) {
-					lines = new ArrayList<Line>();
+//		lines.clear();
+//		counts.clear();
+//		currentpartid = 0;
+//		nTotalTokens = 0;
+		// FIXME: tests to not recompute all on fmax, vmax, etc. changes
+		// It works but the problem is the cut() method that really cut the lines rather than doing getLines() that could filtering and returns only the lines between fmin/fmax
+//		if(this.hasParameterChanged(TXMPreferences.QUERY) || this.hasParameterChanged(TXMPreferences.UNIT_PROPERTIES))	{
+		
+			if (parent instanceof MainCorpus && "[]".equals(pQuery.getQueryString()) && pProperties.size() == 1) {
+	
+				computeWithCorpusAndNoQuery(); // internally using a lexicon
+			}
+			else {
+				this.lexicon = null;
+	
+				if (parent instanceof CQPCorpus) {
+	
+					if (!scanCorpus((CQPCorpus)parent)) {
+						lines = new ArrayList<Line>();
+						return false;
+					}
+	
+					setLineCounts();
+	
+					getAllLines();
+	
+				}
+				else {
+					Log.severe("Error: Index parent is not a corpus.");
 					return false;
 				}
-
-				setLineCounts();
-
-				getAllLines();
-
 			}
-			else {
-				Log.severe("Error: Index parent is not a corpus.");
-				return false;
-			}
-		}
+	//	}
 
 		this.filterLines();
 
@@ -387,26 +391,28 @@
 	 */
 	private void computeWithCorpusAndNoQuery() {
 		try {
+			
 			//			this.query = new Query("[]"); //$NON-NLS-1$
 			//			this.props = new ArrayList<Property>();
 			//			this.props.add(property);
 			Property property = pProperties.get(0);
+
 			if (lexicon == null) {
 				lexicon = new Lexicon(getCorpus());
 			}
 			lexicon.setProperty(property);
 			lexicon.setDirty();
 			lexicon.compute(monitor);
-			
-			
-			
+		
+
+		
 			this.nTotalTokens = lexicon.nbrOfToken();
 			String[] forms = lexicon.getForms();
 			int[] freqs = lexicon.getFreq();
 			int[] ids = lexicon.getIds();
 			this.lines = new ArrayList<Line>();
 			int nbOfToken = lexicon.nbrOfToken();
-			if (nbOfToken > 0) // no lines
+			if (nbOfToken > 0) { // no lines
 				for (int i = 0; i < forms.length && i < freqs.length; i++) {
 					Line l = new Line();
 					List<String> values = new ArrayList<String>(1);
@@ -425,9 +431,9 @@
 					if (Fmax < freqs[i]) {
 						Fmax = freqs[i];
 					}
-
-					// getAllLines();
 				}
+			}
+			
 		} catch (Exception e) {
 			// TODO Auto-generated catch block
 			org.txm.utils.logger.Log.printStackTrace(e);
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbMakeAll.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbMakeAll.java	(revision 1173)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbMakeAll.java	(revision 1174)
@@ -32,9 +32,10 @@
 import java.util.ArrayList;
 import java.util.Arrays;
 
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.libs.cqp.CQPLibPreferences;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
+import org.txm.utils.OSDetector;
+import org.txm.utils.logger.Log;
 
 // TODO: Auto-generated Javadoc
 /**
@@ -131,29 +132,33 @@
 	 * @throws IOException 
 	 * @throws InterruptedException 
 	 */
-	public boolean run(String pathToExecutable, String corpusName,
-			String pathToRegistry, boolean monitorOutput)
-			throws ServerNotFoundException, InterruptedException, IOException {
-		if (System.getProperty("os.name").contains("Win")) //$NON-NLS-1$ //$NON-NLS-2$
-		{
-			pathToExecutable = "\"" + pathToExecutable + "\""; //$NON-NLS-1$ //$NON-NLS-2$
-			pathToRegistry = "\"" + pathToRegistry + "\""; //$NON-NLS-1$ //$NON-NLS-2$
-		}
+	public boolean run(String pathToExecutable, String corpusName, String pathToRegistry, boolean monitorOutput) throws ServerNotFoundException, InterruptedException, IOException {
+
+		// FIXME: SJ: old code that created a wrong file path
+		// need to check on a real TXM install if this code is very useless then remove it
+//		if (OSDetector.isFamilyWindows()) { //$NON-NLS-1$ //$NON-NLS-2$
+////			pathToExecutable = "\"" + pathToExecutable + "\""; //$NON-NLS-1$ //$NON-NLS-2$
+////			pathToRegistry = "\"" + pathToRegistry + "\""; //$NON-NLS-1$ //$NON-NLS-2$
+//			
+//			pathToExecutable = pathToExecutable + "/"; //$NON-NLS-1$ //$NON-NLS-2$
+//			pathToRegistry = pathToRegistry + "/"; //$NON-NLS-1$ //$NON-NLS-2$
+//
+//			
+//		}
 		
 		if (!new File(pathToExecutable).exists()) {
-			System.out.println("Error: path to cwb-makeall not found: "+pathToExecutable);
+			Log.severe("Error: path to cwb-makeall not found: " + pathToExecutable);
 			return false;
 		}
 		if (!new File(pathToExecutable).canExecute()) {
-			System.out.println("Error: path to cwb-makeall not executable: "+pathToExecutable);
+			Log.severe("Error: path to cwb-makeall not executable: " + pathToExecutable);
 			return false;
 		}
 		
 		ArrayList<String> cmd = new ArrayList<String>();
-		cmd.addAll(Arrays.asList(pathToExecutable,
-				"-r", pathToRegistry, "-V", corpusName.toUpperCase())); //$NON-NLS-1$ //$NON-NLS-2$
+		cmd.addAll(Arrays.asList(pathToExecutable, "-r", pathToRegistry, "-V", corpusName.toUpperCase())); //$NON-NLS-1$ //$NON-NLS-2$
 		if (debug) {
-			cmd.add(1, "-D"); //$NON-NLS-1$ //$NON-NLS-2$
+			cmd.add(1, "-D"); //$NON-NLS-1$
 		}
 		return run(cmd, monitorOutput, true); // always wait for cwb-makeall to end
 	}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbProcess.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbProcess.java	(revision 1173)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbProcess.java	(revision 1174)
@@ -93,12 +93,12 @@
 		File pathToExecutable = new File(CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PATH_TO_CQPLIB), filename);
 
 		if (!pathToExecutable.exists()) {
-			System.out.println("Error: "+pathToExecutable.getAbsolutePath()+" not found.");
+			Log.severe("Error: "+pathToExecutable.getAbsolutePath()+" not found.");
 			return false;
 		}
 		
 		if (!pathToExecutable.canExecute()) {
-			System.out.println("Error: "+pathToExecutable.getAbsolutePath()+" not executable.");
+			Log.severe("Error: "+pathToExecutable.getAbsolutePath()+" not executable.");
 			return false;
 		}
 		return true;
@@ -114,14 +114,15 @@
 	 * @throws InterruptedException 
 	 * @throws IOException 
 	 */
-	protected boolean run(List<String> cmd, boolean monitorOutput, boolean waitFor)
-			throws ServerNotFoundException, InterruptedException, IOException {
+	protected boolean run(List<String> cmd, boolean monitorOutput, boolean waitFor) throws ServerNotFoundException, InterruptedException, IOException {
+		
 		Log.info(TXMCoreMessages.CwbProcess_1 + StringUtils.join(cmd, " ")); //$NON-NLS-1$ 
+		
 		//System.out.println(StringUtils.join(cmd, " "));
 		for (String s : cmd) {
 			//System.out.println("s="+s);
 			if (s == null) {
-				System.out.println("ERROR null arg parameter: "+cmd);
+				Log.severe("ERROR null arg parameter: "+cmd);
 				return false;
 			}
 		}
@@ -265,7 +266,7 @@
 		String cwbLoc = CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PATH_TO_CQPLIB)+File.separator;
 
 		if (!new File(cwbLoc).exists()) {
-			System.out.println(TXMCoreMessages.CwbProcess_5+cwbLoc);
+			Log.severe(TXMCoreMessages.CwbProcess_5+cwbLoc);
 			return null;
 		}
 
Index: tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java
===================================================================
--- tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java	(revision 1173)
+++ tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java	(revision 1174)
@@ -59,7 +59,7 @@
 	@Override
 	public void _createPartControl() {
 
-		Composite parametersArea = this.getExtendedParametersComposite();
+		Composite parametersArea = this.getExtendedParametersGroup();
 
 		// label
 		new Label(parametersArea, SWT.NONE).setText(PropertiesUIMessages.editor_label_v_max);
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/CopyChartViewToClipboard.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/CopyChartViewToClipboard.java	(revision 1173)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/CopyChartViewToClipboard.java	(revision 1174)
@@ -8,7 +8,7 @@
 import org.txm.utils.logger.Log;
 
 /**
- * Resets the chart view of the active chart editor part.
+ * Copy the chart view of the active chart editor part the clipboard .
  * @author sjacquot
  *
  */
@@ -19,7 +19,9 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		ChartEditor chartEditor = SWTChartsComponentsProvider.getActiveChartEditor(event);
 		chartEditor.copyChartViewToClipboard();
-		Log.finest("View copied to clipboard.");
+		
+		Log.finest("Chart view copied to clipboard.");
+		
 		return null;
 	}
 
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 1173)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 1174)
@@ -110,7 +110,7 @@
 
 			
 			// Extended parameters
-			Composite extendedParametersArea = this.getExtendedParametersComposite();
+			Composite extendedParametersArea = this.getExtendedParametersGroup();
 			
 			// max score
 			new Label(extendedParametersArea, SWT.NONE).setText("Maximum score");
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 1173)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 1174)
@@ -53,10 +53,10 @@
 		
 		
 		// Banality
-        Label label = new Label(this.getExtendedParametersComposite(), SWT.NONE);
+        Label label = new Label(this.getExtendedParametersGroup(), SWT.NONE);
         label.setText("Banality:");
 		
-		banality = new FloatSpinner(this.getExtendedParametersComposite(), SWT.BORDER);
+		banality = new FloatSpinner(this.getExtendedParametersGroup(), SWT.BORDER);
 		banality.setToolTipText("Banality threshold");
 		banality.setMaximumAsFloat(200);
 		banality.addSelectionListener(computeSelectionListener);
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/statsengine/r/function/SpecificitiesR.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/statsengine/r/function/SpecificitiesR.java	(revision 1173)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/statsengine/r/function/SpecificitiesR.java	(revision 1174)
@@ -71,6 +71,11 @@
 		super(symbol);
 	}
 
+	/**
+	 * 
+	 * @param lt
+	 * @throws StatException
+	 */
 	public SpecificitiesR(ILexicalTable lt) throws StatException {
 		super(prefixR+(specif_counter++));
 
@@ -92,14 +97,12 @@
 	 * @throws REXPMismatchException 
 	 * @throws RserveException 
 	 */
-	public SpecificitiesR(Vector lexicon, Vector subLexicon)
-			throws StatException, RserveException, REXPMismatchException {
+	public SpecificitiesR(Vector lexicon, Vector subLexicon) throws StatException, RserveException, REXPMismatchException {
 		super(prefixR+(specif_counter++));
 
 		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
 		rw.safeEval("library(textometry)");
-		REXP r = rw.callFunction(
-				"specificities.lexicon.new", new QuantitativeDataStructure[] { lexicon, subLexicon }, symbol); //$NON-NLS-1$
+		REXP r = rw.callFunction("specificities.lexicon.new", new QuantitativeDataStructure[] { lexicon, subLexicon }, symbol); //$NON-NLS-1$
 		// double[] res = RWorkspace.toDouble(r);
 		//System.out.println(" build double matrix");
 		specIndex = r.asDoubleMatrix();
@@ -114,8 +117,7 @@
 	 * @return the double[][]
 	 * @throws StatException the stat exception
 	 */
-	protected static double[][] compute(String symbol, ILexicalTable table,
-			String[] typeFocus, String[] partFocus) throws StatException {
+	protected static double[][] compute(String symbol, ILexicalTable table, String[] typeFocus, String[] partFocus) throws StatException {
 
 		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
 
Index: tmp/org.txm.rcp.feature/win/TXM.bat
===================================================================
--- tmp/org.txm.rcp.feature/win/TXM.bat	(revision 1173)
+++ tmp/org.txm.rcp.feature/win/TXM.bat	(revision 1174)
@@ -25,7 +25,7 @@
 :USERHOMEOK
 
 set TXMHOME=%USERHOME%TXM-%VERSION%\
-set DOTTXM=%TXMHOME%.txm\
+set DOTTXM=%TXMHOME%corpora\
 
 mkdir "%TXMHOME%" 
 
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 1173)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 1174)
@@ -41,7 +41,7 @@
 	public void __createPartControl() {
 
 		// for group tests
-		Composite parametersArea = this.getExtendedParametersComposite();
+		Composite parametersArea = this.getExtendedParametersGroup();
 
 		// fmin
 		new Label(parametersArea, SWT.NONE).setText(WordCloudUIMessages.EditorToolBar_fmin);
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 1173)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 1174)
@@ -98,7 +98,7 @@
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
 		
 		
-		Composite parametersArea = getExtendedParametersComposite();
+		Composite parametersArea = getExtendedParametersGroup();
 		parametersArea.setLayout(new GridLayout(5,false));
 		parametersArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 1173)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 1174)
@@ -480,7 +480,7 @@
 //			}
 //		});
 
-		final Composite paramArea = getExtendedParametersComposite();
+		final Composite paramArea = getExtendedParametersGroup();
 
 		// info&navigation panel
 		final Composite infosArea = getBottomToolbar().installGLComposite("infos", 1, false);
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java	(revision 1173)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java	(revision 1174)
@@ -67,7 +67,7 @@
 	public void _createPartControl() {
 
 		// System.out.println(parent.getLayout());
-		Composite queryPanel = this.getExtendedParametersComposite();
+		Composite queryPanel = this.getExtendedParametersGroup();
 	
 		// fill query Area
 		GridLayout qlayout = new GridLayout(11, false);
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 1173)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 1174)
@@ -36,24 +36,20 @@
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.graphics.Font;
 import org.eclipse.swt.graphics.FontData;
-import org.eclipse.swt.layout.FormAttachment;
-import org.eclipse.swt.layout.FormData;
-import org.eclipse.swt.layout.FormLayout;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.layout.RowLayout;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.swt.widgets.TableColumn;
 import org.txm.core.messages.TXMCoreMessages;
-import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.index.core.functions.Index;
 import org.txm.index.core.functions.Line;
 import org.txm.index.core.functions.LineComparator.SortMode;
-import org.txm.index.core.preferences.IndexPreferences;
 import org.txm.index.rcp.messages.IndexUIMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
@@ -63,16 +59,15 @@
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.GLComposite;
 import org.txm.rcp.swt.widget.AssistedChoiceQueryWidget;
-import org.txm.rcp.swt.widget.AssistedQueryWidget;
 import org.txm.rcp.swt.widget.NavigationWidget;
 import org.txm.rcp.swt.widget.PropertiesSelector;
+import org.txm.rcp.swt.widget.ThresholdsGroup;
 import org.txm.rcp.views.QueriesView;
 import org.txm.searchengine.core.Query;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.statsengine.r.rcp.views.RVariablesView;
 import org.txm.utils.logger.Log;
 
@@ -147,6 +142,7 @@
 	@Parameter(key=TXMPreferences.V_MAX)
 	protected Spinner vMaxSpinner;
 
+	
 	/** The N ligne p page spinner. */
 	@Parameter(key=TXMPreferences.N_LINES_PER_PAGE)
 	protected Spinner nLinesPerPageSpinner;
@@ -173,8 +169,8 @@
 		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this);
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
 		
-		Composite extendedParametersComposite = this.getExtendedParametersComposite();
-		extendedParametersComposite.setLayout(new FormLayout());
+		Composite extendedParametersComposite = this.getExtendedParametersGroup();
+		//extendedParametersComposite.setLayout(new FormLayout());
 
 		// info&navigation panel
 		final GLComposite infosArea = this.getBottomToolbar().installGLComposite(IndexUIMessages.composite_infos, 1, false);
@@ -183,30 +179,32 @@
 		
 		// on créé une Query, ici le pivot de la concordance est "[]"
 		// Query Area: query itself + view properties
-		Composite queryArea = new Composite(extendedParametersComposite, SWT.NONE);
+//		Composite queryArea = new Composite(extendedParametersComposite, SWT.NONE);
+//
+//		FormData queryLayoutData = new FormData();
+//		queryLayoutData.top = new FormAttachment(0);
+//		queryLayoutData.left = new FormAttachment(0);
+//		queryLayoutData.right = new FormAttachment(100);
+//		queryArea.setLayoutData(queryLayoutData);
+//
+//		queryArea.setLayout(new GridLayout(4, false));
 
-		FormData queryLayoutData = new FormData();
-		queryLayoutData.top = new FormAttachment(0);
-		queryLayoutData.left = new FormAttachment(0);
-		queryLayoutData.right = new FormAttachment(100);
-		queryArea.setLayoutData(queryLayoutData);
-
-		queryArea.setLayout(new GridLayout(4, false));
-
 		// | Query: [ (v)] [Search] |
 		
-		// Query:
-		getMainParametersComposite().getLayout().numColumns = 3;
+		
+		// Main parameters
+		// Query
+		this.getMainParametersComposite().getLayout().numColumns = 3;
 		// make the zone expandable to display the longest query field
-		getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+		this.getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 				
 		// Query:
-		queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
+		queryLabel = new Label(this.getMainParametersComposite(), SWT.NONE);
 		queryLabel.setText(TXMCoreMessages.common_query);
 		queryLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
 
 		// [ (v)]
-		queryWidget = new AssistedChoiceQueryWidget(getMainParametersComposite(), SWT.DROP_DOWN, index.getCorpus());
+		queryWidget = new AssistedChoiceQueryWidget(this.getMainParametersComposite(), SWT.DROP_DOWN, index.getCorpus());
 		GridData layoutData = new GridData(GridData.VERTICAL_ALIGN_CENTER);
 		layoutData.horizontalAlignment = GridData.FILL;
 		layoutData.grabExcessHorizontalSpace = true;
@@ -215,7 +213,7 @@
 
 		
 		// Word properties selector
-		propertiesSelector = new PropertiesSelector<WordProperty>(getMainParametersComposite(), SWT.NONE);
+		propertiesSelector = new PropertiesSelector<WordProperty>(this.getMainParametersComposite(), SWT.NONE);
 		propertiesSelector.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
 		propertiesSelector.setLayout(new GridLayout(3, false));
 		try {
@@ -228,90 +226,110 @@
 		// Listener
 		propertiesSelector.addSelectionListener(computeSelectionListener);
 		
+		
+		// extended parameters
+		
+		// FIXME: old version
 		// Filters
-		Composite filtercontrols = new Composite(extendedParametersComposite, SWT.NONE);
-		FormData filtersLayoutData = new FormData();
-		filtersLayoutData.top = new FormAttachment(queryArea, 0);
-		filtersLayoutData.bottom = new FormAttachment(100);
-		filtersLayoutData.left = new FormAttachment(0);
-		filtersLayoutData.right = new FormAttachment(100);
-		filtercontrols.setLayoutData(filtersLayoutData);
+//		Composite filtercontrols = new Composite(extendedParametersComposite, SWT.NONE);
+//		FormData filtersLayoutData = new FormData();
+//		filtersLayoutData.top = new FormAttachment(queryArea, 0);
+//		filtersLayoutData.bottom = new FormAttachment(100);
+//		filtersLayoutData.left = new FormAttachment(0);
+//		filtersLayoutData.right = new FormAttachment(100);
+//		filtercontrols.setLayoutData(filtersLayoutData);
+//
+//		GridLayout gridLayout = new GridLayout();
+//		gridLayout.numColumns = 9;
+//		gridLayout.makeColumnsEqualWidth = false;
+//		filtercontrols.setLayout(gridLayout);
+//
+//		Label thresholds = new Label(filtercontrols, SWT.NONE);
+//		thresholds.setText(TXMCoreMessages.common_thresholds);
+//		thresholds.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+//
+//		Label lFmin = new Label(filtercontrols, SWT.NONE);
+//		lFmin.setText(TXMCoreMessages.common_fMin);
+//		lFmin.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+//
+//		GridData fieldsGridData = new GridData(GridData.VERTICAL_ALIGN_END);
+//		fieldsGridData.minimumWidth = 100;
+//
+//		fMinSpinner = new Spinner(filtercontrols, SWT.BORDER);
+//		fMinSpinner.setMinimum(0);
+//		fMinSpinner.setMaximum(9999999);
+//		fMinSpinner.setIncrement(1);
+//		fMinSpinner.setPageIncrement(100);
+//		fMinSpinner.setLayoutData(fieldsGridData);
+//		fMinSpinner.addKeyListener(computeKeyListener);
+//		fMinSpinner.addSelectionListener(computeSelectionListener);
+//
+//		Label lFmax = new Label(filtercontrols, SWT.NONE);
+//		lFmax.setText(TXMCoreMessages.common_fMax);
+//		lFmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+//
+//		fMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
+//		fMaxSpinner.setMinimum(0);
+//		fMaxSpinner.setMaximum(9999999);
+//		fMaxSpinner.setIncrement(1);
+//		fMaxSpinner.setPageIncrement(100);
+//		fMaxSpinner.setLayoutData(fieldsGridData);
+//		fMaxSpinner.addKeyListener(computeKeyListener);
+//		fMaxSpinner.addSelectionListener(computeSelectionListener);
+//
+//		Label lVmax = new Label(filtercontrols, SWT.NONE);
+//		lVmax.setText(TXMCoreMessages.VMAX_1);
+//		lVmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+//
+//		vMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
+//		vMaxSpinner.setMinimum(0);
+//		vMaxSpinner.setMaximum(9999999);
+//		vMaxSpinner.setIncrement(1);
+//		vMaxSpinner.setPageIncrement(100);
+//		vMaxSpinner.setLayoutData(fieldsGridData);
+//		vMaxSpinner.addKeyListener(computeKeyListener);
+//		vMaxSpinner.addSelectionListener(computeSelectionListener);
 
-		GridLayout gridLayout = new GridLayout();
-		gridLayout.numColumns = 9;
-		gridLayout.makeColumnsEqualWidth = false;
-		filtercontrols.setLayout(gridLayout);
-
-		Label thresholds = new Label(filtercontrols, SWT.NONE);
-		thresholds.setText(TXMCoreMessages.common_thresholds);
-		thresholds.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-
-		Label lFmin = new Label(filtercontrols, SWT.NONE);
-		lFmin.setText(TXMCoreMessages.common_fMin);
-		lFmin.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-
-		GridData fieldsGridData = new GridData(GridData.VERTICAL_ALIGN_END);
-		fieldsGridData.minimumWidth = 100;
-
-		fMinSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		fMinSpinner.setMinimum(0);
-		fMinSpinner.setMaximum(9999999);
-		fMinSpinner.setIncrement(1);
-		fMinSpinner.setPageIncrement(100);
-		fMinSpinner.setLayoutData(fieldsGridData);
-		fMinSpinner.addKeyListener(computeKeyListener);
-		fMinSpinner.addSelectionListener(computeSelectionListener);
-
-		Label lFmax = new Label(filtercontrols, SWT.NONE);
-		lFmax.setText(TXMCoreMessages.common_fMax);
-		lFmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-
-		fMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		fMaxSpinner.setMinimum(0);
-		fMaxSpinner.setMaximum(9999999);
-		fMaxSpinner.setIncrement(1);
-		fMaxSpinner.setPageIncrement(100);
-		fMaxSpinner.setLayoutData(fieldsGridData);
-		fMaxSpinner.addKeyListener(computeKeyListener);
-		fMaxSpinner.addSelectionListener(computeSelectionListener);
-
-		Label lVmax = new Label(filtercontrols, SWT.NONE);
-		lVmax.setText(TXMCoreMessages.VMAX_1);
-		lVmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-
-		vMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		vMaxSpinner.setMinimum(0);
-		vMaxSpinner.setMaximum(9999999);
-		vMaxSpinner.setIncrement(1);
-		vMaxSpinner.setPageIncrement(100);
-		vMaxSpinner.setLayoutData(fieldsGridData);
-		vMaxSpinner.addKeyListener(computeKeyListener);
-		vMaxSpinner.addSelectionListener(computeSelectionListener);
-
-		Label lNLigneppage = new Label(filtercontrols, SWT.NONE);
+		
+		// FIXME: new version
+		// Filters
+		ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), this);
+		this.fMinSpinner = thresholdsGroup.getFMinSpinner();
+		this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
+		this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
+		
+		
+		
+		
+		Label lNLigneppage = new Label(this.getExtendedParametersGroup(), SWT.NONE);
 		lNLigneppage.setText(IndexUIMessages.IndexEditor_8);
-		lNLigneppage.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-
-		nLinesPerPageSpinner = new Spinner(filtercontrols, SWT.BORDER);
+		
+		nLinesPerPageSpinner = new Spinner(this.getExtendedParametersGroup(), SWT.BORDER);
 		nLinesPerPageSpinner.setMinimum(0);
 		nLinesPerPageSpinner.setMaximum(99999);
 		nLinesPerPageSpinner.setIncrement(1);
 		nLinesPerPageSpinner.setPageIncrement(100);
-		nLinesPerPageSpinner.setLayoutData(fieldsGridData);
-		nLinesPerPageSpinner.addSelectionListener(new SelectionListener() {
-			@Override
-			public void widgetSelected(SelectionEvent e) { }
-
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				index.setTopLine(0);
-				index.setNLinesPerPage(nLinesPerPageSpinner.getSelection());
-				fillResultArea();
-				viewer.getTable().select(0);
-				viewer.getTable().showSelection();
-			}
-		});
-
+		
+		// FIXME; became useless?
+//		nLinesPerPageSpinner.addSelectionListener(new SelectionListener() {
+//			@Override
+//			public void widgetSelected(SelectionEvent e) { }
+//
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				index.setTopLine(0);
+//				index.setNLinesPerPage(nLinesPerPageSpinner.getSelection());
+//				fillResultArea();
+//				viewer.getTable().select(0);
+//				viewer.getTable().showSelection();
+//			}
+//		});
+		
+		nLinesPerPageSpinner.addSelectionListener(computeSelectionListener);
+		nLinesPerPageSpinner.addKeyListener(computeKeyListener);
+		
+		
+		
 		navigationArea = new NavigationWidget(infosArea, SWT.NONE);
 		navigationArea.setLayoutData(new GridData(SWT.CENTER, SWT.FILL, true,	false));
 
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 1173)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 1174)
@@ -63,6 +63,7 @@
 import org.txm.rcp.swt.widget.AssistedChoiceQueryWidget;
 import org.txm.rcp.swt.widget.NavigationWidget;
 import org.txm.rcp.swt.widget.PropertiesSelector;
+import org.txm.rcp.swt.widget.ThresholdsGroup;
 import org.txm.rcp.views.QueriesView;
 import org.txm.searchengine.core.Query;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -73,7 +74,7 @@
 import org.txm.utils.logger.Log;
 
 /**
- * display an index/lexicon parameters and result.
+ * Partition index editor.
  *
  * @author mdecorde
  */
@@ -125,18 +126,25 @@
 	@Parameter(key=TXMPreferences.QUERY)
 	protected AssistedChoiceQueryWidget queryWidget;
 
-	/** The Fmin spinner. */
+	/**
+	 * Minimum frequency filtering spinner.
+	 */
 	@Parameter(key=TXMPreferences.F_MIN)
 	protected Spinner fMinSpinner;
 
-	/** The Fmax spinner. */
+	/**
+	 * Maximum frequency filtering spinner.
+	 */
 	@Parameter(key=TXMPreferences.F_MAX)
 	protected Spinner fMaxSpinner;
 
-	/** The Tmax spinner. */
+	/**
+	 * Maximum number of lines filtering.
+	 */
 	@Parameter(key=TXMPreferences.V_MAX)
 	protected Spinner vMaxSpinner;
 
+	
 	/** The N ligne p page spinner. */
 	@Parameter(key=TXMPreferences.N_LINES_PER_PAGE)
 	protected Spinner nLinesPerPageSpinner;
@@ -163,40 +171,41 @@
 		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this);
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
 		
-		Composite paramArea = this.getExtendedParametersComposite();
-		paramArea.setLayout(new FormLayout());
+		Composite extendedParametersComposite = this.getExtendedParametersGroup();
+//		paramArea.setLayout(new FormLayout());
 
 		// info&navigation panel
 		final GLComposite infosArea = this.getBottomToolbar().installGLComposite(IndexUIMessages.composite_infos, 1, false);
 		infosArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		infosArea.getLayout().numColumns = 5; // nav panel + labels
 		
-		// on créé une Query, ici le pivot de la concordance est "[]"
-		// Query Area: query itself + view properties
-		Composite queryArea = new Composite(paramArea, SWT.NONE);
+//		// on créé une Query, ici le pivot de la concordance est "[]"
+//		// Query Area: query itself + view properties
+//		Composite queryArea = new Composite(paramArea, SWT.NONE);
+//
+//		FormData queryLayoutData = new FormData();
+//		queryLayoutData.top = new FormAttachment(0);
+//		queryLayoutData.left = new FormAttachment(0);
+//		queryLayoutData.right = new FormAttachment(100);
+//		queryArea.setLayoutData(queryLayoutData);
+//
+//		queryArea.setLayout(new GridLayout(4, false));
 
-		FormData queryLayoutData = new FormData();
-		queryLayoutData.top = new FormAttachment(0);
-		queryLayoutData.left = new FormAttachment(0);
-		queryLayoutData.right = new FormAttachment(100);
-		queryArea.setLayoutData(queryLayoutData);
-
-		queryArea.setLayout(new GridLayout(4, false));
-
 		// | Query: [ (v)] [Search] |
 		
-		// Query:
-		getMainParametersComposite().getLayout().numColumns = 3;
+		// Main parameters
+		// Query
+		this.getMainParametersComposite().getLayout().numColumns = 3;
 		// make the zone expandable to display the longest query field
-		getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
+		this.getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 				
 		// Query:
-		queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
+		queryLabel = new Label(this.getMainParametersComposite(), SWT.NONE);
 		queryLabel.setText(TXMCoreMessages.common_query);
 		queryLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
 
 		// [ (v)]
-		queryWidget = new AssistedChoiceQueryWidget(getMainParametersComposite(), SWT.DROP_DOWN, index.getCorpus());
+		queryWidget = new AssistedChoiceQueryWidget(this.getMainParametersComposite(), SWT.DROP_DOWN, index.getCorpus());
 		GridData layoutData = new GridData(GridData.VERTICAL_ALIGN_CENTER);
 		layoutData.horizontalAlignment = GridData.FILL;
 		layoutData.grabExcessHorizontalSpace = true;
@@ -205,7 +214,7 @@
 
 		
 		// Word properties selector
-		propertiesSelector = new PropertiesSelector<WordProperty>(getMainParametersComposite(), SWT.NONE);
+		propertiesSelector = new PropertiesSelector<WordProperty>(this.getMainParametersComposite(), SWT.NONE);
 		propertiesSelector.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
 		propertiesSelector.setLayout(new GridLayout(3, false));
 		try {
@@ -218,90 +227,109 @@
 		// Listener
 		propertiesSelector.addSelectionListener(computeSelectionListener);
 		
+		
+		// extended parameters
+		
+		// FIXME: old version
 		// Filters
-		Composite filtercontrols = new Composite(paramArea, SWT.NONE);
-		FormData filtersLayoutData = new FormData();
-		filtersLayoutData.top = new FormAttachment(queryArea, 0);
-		filtersLayoutData.bottom = new FormAttachment(100);
-		filtersLayoutData.left = new FormAttachment(0);
-		filtersLayoutData.right = new FormAttachment(100);
-		filtercontrols.setLayoutData(filtersLayoutData);
+//		Composite filtercontrols = new Composite(paramArea, SWT.NONE);
+//		FormData filtersLayoutData = new FormData();
+//		filtersLayoutData.top = new FormAttachment(queryArea, 0);
+//		filtersLayoutData.bottom = new FormAttachment(100);
+//		filtersLayoutData.left = new FormAttachment(0);
+//		filtersLayoutData.right = new FormAttachment(100);
+//		filtercontrols.setLayoutData(filtersLayoutData);
+//
+//		GridLayout gridLayout = new GridLayout();
+//		gridLayout.numColumns = 9;
+//		gridLayout.makeColumnsEqualWidth = false;
+//		filtercontrols.setLayout(gridLayout);
+//
+//		Label tmp = new Label(filtercontrols, SWT.NONE);
+//		tmp.setText(TXMCoreMessages.common_thresholds);
+//		tmp.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+//
+//		Label lFmin = new Label(filtercontrols, SWT.NONE);
+//		lFmin.setText(TXMCoreMessages.common_fMin);
+//		lFmin.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+//
+//		GridData fieldsGridData = new GridData(GridData.VERTICAL_ALIGN_END);
+//		fieldsGridData.minimumWidth = 100;
+//
+//		fMinSpinner = new Spinner(filtercontrols, SWT.BORDER);
+//		fMinSpinner.setMinimum(0);
+//		fMinSpinner.setMaximum(9999999);
+//		fMinSpinner.setIncrement(1);
+//		fMinSpinner.setPageIncrement(100);
+//		fMinSpinner.setLayoutData(fieldsGridData);
+//		fMinSpinner.addKeyListener(computeKeyListener);
+//		fMinSpinner.addSelectionListener(computeSelectionListener);
+//
+//		Label lFmax = new Label(filtercontrols, SWT.NONE);
+//		lFmax.setText(TXMCoreMessages.common_fMax);
+//		lFmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+//
+//		fMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
+//		fMaxSpinner.setMinimum(0);
+//		fMaxSpinner.setMaximum(9999999);
+//		fMaxSpinner.setIncrement(1);
+//		fMaxSpinner.setPageIncrement(100);
+//		fMaxSpinner.setLayoutData(fieldsGridData);
+//		fMaxSpinner.addKeyListener(computeKeyListener);
+//		fMaxSpinner.addSelectionListener(computeSelectionListener);
+//
+//		Label lVmax = new Label(filtercontrols, SWT.NONE);
+//		lVmax.setText(TXMCoreMessages.VMAX_1);
+//		lVmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+//
+//		vMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
+//		vMaxSpinner.setMinimum(0);
+//		vMaxSpinner.setMaximum(9999999);
+//		vMaxSpinner.setIncrement(1);
+//		vMaxSpinner.setPageIncrement(100);
+//		vMaxSpinner.setLayoutData(fieldsGridData);
+//		vMaxSpinner.addKeyListener(computeKeyListener);
+//		vMaxSpinner.addSelectionListener(computeSelectionListener);
 
-		GridLayout gridLayout = new GridLayout();
-		gridLayout.numColumns = 9;
-		gridLayout.makeColumnsEqualWidth = false;
-		filtercontrols.setLayout(gridLayout);
+		
+		// FIXME: new version
+		// Filters
+		ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), this);
+		this.fMinSpinner = thresholdsGroup.getFMinSpinner();
+		this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
+		this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
 
-		Label tmp = new Label(filtercontrols, SWT.NONE);
-		tmp.setText(TXMCoreMessages.common_thresholds);
-		tmp.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-
-		Label lFmin = new Label(filtercontrols, SWT.NONE);
-		lFmin.setText(TXMCoreMessages.common_fMin);
-		lFmin.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-
-		GridData fieldsGridData = new GridData(GridData.VERTICAL_ALIGN_END);
-		fieldsGridData.minimumWidth = 100;
-
-		fMinSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		fMinSpinner.setMinimum(0);
-		fMinSpinner.setMaximum(9999999);
-		fMinSpinner.setIncrement(1);
-		fMinSpinner.setPageIncrement(100);
-		fMinSpinner.setLayoutData(fieldsGridData);
-		fMinSpinner.addKeyListener(computeKeyListener);
-		fMinSpinner.addSelectionListener(computeSelectionListener);
-
-		Label lFmax = new Label(filtercontrols, SWT.NONE);
-		lFmax.setText(TXMCoreMessages.common_fMax);
-		lFmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-
-		fMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		fMaxSpinner.setMinimum(0);
-		fMaxSpinner.setMaximum(9999999);
-		fMaxSpinner.setIncrement(1);
-		fMaxSpinner.setPageIncrement(100);
-		fMaxSpinner.setLayoutData(fieldsGridData);
-		fMaxSpinner.addKeyListener(computeKeyListener);
-		fMaxSpinner.addSelectionListener(computeSelectionListener);
-
-		Label lVmax = new Label(filtercontrols, SWT.NONE);
-		lVmax.setText(TXMCoreMessages.VMAX_1);
-		lVmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-
-		vMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		vMaxSpinner.setMinimum(0);
-		vMaxSpinner.setMaximum(9999999);
-		vMaxSpinner.setIncrement(1);
-		vMaxSpinner.setPageIncrement(100);
-		vMaxSpinner.setLayoutData(fieldsGridData);
-		vMaxSpinner.addKeyListener(computeKeyListener);
-		vMaxSpinner.addSelectionListener(computeSelectionListener);
-
-		Label lNLigneppage = new Label(filtercontrols, SWT.NONE);
+		
+		
+		
+		Label lNLigneppage = new Label(this.getExtendedParametersGroup(), SWT.NONE);
 		lNLigneppage.setText(IndexUIMessages.IndexEditor_8);
-		lNLigneppage.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 
-		nLinesPerPageSpinner = new Spinner(filtercontrols, SWT.BORDER);
+		nLinesPerPageSpinner = new Spinner(this.getExtendedParametersGroup(), SWT.BORDER);
 		nLinesPerPageSpinner.setMinimum(0);
 		nLinesPerPageSpinner.setMaximum(99999);
 		nLinesPerPageSpinner.setIncrement(1);
 		nLinesPerPageSpinner.setPageIncrement(100);
-		nLinesPerPageSpinner.setLayoutData(fieldsGridData);
-		nLinesPerPageSpinner.addSelectionListener(new SelectionListener() {
-			@Override
-			public void widgetSelected(SelectionEvent e) { }
 
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				index.setTopLine(0);
-				index.setNLinesPerPage(nLinesPerPageSpinner.getSelection());
-				fillResultArea();
-				viewer.getTable().select(0);
-				viewer.getTable().showSelection();
-			}
-		});
+		// FIXME; became useless?
+//		nLinesPerPageSpinner.addSelectionListener(new SelectionListener() {
+//			@Override
+//			public void widgetSelected(SelectionEvent e) { }
+//
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				index.setTopLine(0);
+//				index.setNLinesPerPage(nLinesPerPageSpinner.getSelection());
+//				fillResultArea();
+//				viewer.getTable().select(0);
+//				viewer.getTable().showSelection();
+//			}
+//		});
 
+		nLinesPerPageSpinner.addSelectionListener(computeSelectionListener);
+		nLinesPerPageSpinner.addKeyListener(computeKeyListener);
+		
+		
 		navigationArea = new NavigationWidget(infosArea, SWT.NONE);
 		navigationArea.setLayoutData(new GridData(SWT.CENTER, SWT.FILL, true,	false));
 
@@ -498,7 +526,7 @@
 		separatorColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 		separatorColumn.setText(""); //$NON-NLS-1$
 		separatorColumn.pack();
-		paramArea.pack();
+		extendedParametersComposite.pack();
 
 		// Add double click, "Send to" command
 		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 1, "org.txm.concordance.rcp.handlers.ComputeConcordance"); //$NON-NLS-1$
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 1173)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 1174)
@@ -205,7 +205,7 @@
 		// paramLayoutData.right = new FormAttachment(100);
 		// scrollComposite.setLayoutData(paramLayoutData);
 
-		final Composite paramArea = this.getExtendedParametersComposite();
+		final Composite paramArea = this.getExtendedParametersGroup();
 		FormLayout paramLayout = new FormLayout();
 		paramArea.setLayout(paramLayout);
 
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1173)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1174)
@@ -546,9 +546,9 @@
 		if (key.isEmpty()) {
 			return false;
 		}
-		if (this.isDirty()) {
-			return true;
-		}
+//		if (this.isDirty()) {
+//			return true;
+//		}
 
 		Object lastValue = lastParameters.get(key);
 		Object newValue = this.getParameter(key);
@@ -1161,7 +1161,7 @@
 	}
 
 	/**
-	 * Deletes all non persistent results and save the results to persist.
+	 * Deletes all non persistent results and saves the results to persist.
 	 */
 	public static void deleteAllNonPersistentResults() {
 		List<TXMResult> results = Toolbox.workspace.getDeepChildren();
@@ -1789,7 +1789,7 @@
 	 * @throws Exception
 	 */
 	public boolean compute() {
-		return this.compute(new LogMonitor("Computing "+this));
+		return this.compute(new LogMonitor("Computing " + this));
 	}
 
 
@@ -1973,6 +1973,15 @@
 	 * Checks if the result must be persisted according to the persistence global preference or the user persistable state.
 	 * @return
 	 */
+//	public boolean mustBePersisted()	{
+//		if (this.internalPersistable
+//				|| this.userPersistable)	{
+//			return true;
+//		}
+//		return false;
+//	}
+
+	// FIXME: need to prove this code
 	public boolean mustBePersisted()	{
 		return this.internalPersistable || this.userPersistable;
 	}
Index: tmp/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 1173)
+++ tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 1174)
@@ -353,19 +353,17 @@
 	}
 
 	/**
-	 * Loads and recreate the existing projects.
+	 * Loads and recreates the existing projects.
 	 */
 	public void loadTXMResultsFromProjectScopes()	{
 
-		// FIXME: tmp persistence tests: Reload saved results
-		//		if (TBXPreferences.getInstance().getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED)) {
 		Log.finest("Toolbox.initialize(): reloading projects...");
 		
 		IWorkspace rcpWorkspace = ResourcesPlugin.getWorkspace();
 		IProject projects[] = rcpWorkspace.getRoot().getProjects();
 		
 		Log.info("Toolbox.initialize(): " + projects.length + " project(s) found in workspace.");
-		LogMonitor monitor = new LogMonitor("Workspace project init");
+		LogMonitor monitor = new LogMonitor("Workspace project init.");
 		for (IProject project : projects) {
 			try {
 				project.open(monitor);
Index: tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/TextsBalanceEditor.java
===================================================================
--- tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/TextsBalanceEditor.java	(revision 1173)
+++ tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/TextsBalanceEditor.java	(revision 1174)
@@ -62,7 +62,7 @@
 
 		
 		// for group tests
-		Composite parametersArea = this.getExtendedParametersComposite();
+		Composite parametersArea = this.getExtendedParametersGroup();
 		
 		Group group = new Group(parametersArea, SWT.NONE);
 		
